slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSSolve

Solves the eigensystem.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSolve(EPS eps)

Collective

### Input Parameter

| eps | - eigensolver context obtained from EPSCreate()

### Options Database Keys

| -eps_view | - print information about the solver used
| -eps_view_mat0 | - view the first matrix (A)
| -eps_view_mat1 | - view the second matrix (B)
| -eps_view_vectors | - view the computed eigenvectors
| -eps_view_values | - view the computed eigenvalues
| -eps_converged_reason | - print reason for convergence, and number of iterations
| -eps_error_absolute | - print absolute errors of each eigenpair
| -eps_error_relative | - print relative errors of each eigenpair
| -eps_error_backward | - print backward errors of each eigenpair

### Notes

All the command-line options listed above admit an optional argument specifying the viewer type and options. For instance, use '-eps_view_mat0 binary:amatrix.bin' to save the A matrix to a binary file, '-eps_view_values draw' to draw the computed eigenvalues graphically, or '-eps_error_relative :myerr.m:ascii_matlab' to save the errors in a file that can be executed in Matlab.

### See Also

EPSCreate(), EPSSetUp(), EPSDestroy(), EPSSetTolerances()

### Level

beginner

### Location

src/eps/interface/epssolve.c

### Examples

src/eps/tutorials/ex1.c
src/eps/tutorials/ex1f.F90
src/eps/tutorials/ex2.c
src/eps/tutorials/ex3.c
src/eps/tutorials/ex4.c
src/eps/tutorials/ex5.c
src/eps/tutorials/ex6f.F90
src/eps/tutorials/ex7.c
src/eps/tutorials/ex9.c
src/eps/tutorials/ex10.c
src/eps/tutorials/ex10f.F90
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages